{
	"name": "Linux (General)",
	"scopeName": "source.linux",
	"patterns": [
		{
			"include": "#keyword"
		},		
		{
			"include": "#url"
		}
	],
	"repository": {		
		"keyword": {
			"patterns": [
				{
					"match": "(?i)\\b(bad|cannot( \\w++)?|denied|deprecated|disabled|errors?|fail(ed)?|failure|false|important|incorrect|invalid|no( \\w++)?|none|((do|does|can|will|could|should|would) )?not|(do|does|ca|wo|could|should|would)n't|refused|unknown|unsupported|warning|wrong)\\b",
					"name": "token.error-token.linux"
				},
				{
					"match": "(?i)\\b(can( \\w++)?|correct(ly)?|known|ok|pass(ed)?|success(ful(ly)?)?|supported|true|yes|valid)\\b",
					"name": "token.success-token.linux"
				},
				{
					"match": "(?i)\\b(closed|exited|debug|disconnected|skipped|stopped|sudo|terminated)\\b",
					"name": "token.warn-token.linux"
				},
				{
					"match": "(?i)\\b(access|any|authentication|connection|disconnection|info|login|operation|password|permission)\\b",
					"name": "token.info-token.linux"
				}
			]
		},	
		"url": {
			"match": "(?i)\\b(https?|ftps?|file|scp|sftp)://[-a-zA-Z0-9+&@#/%?=~_|!:,.;]*[-a-zA-Z0-9+&@#/%=~_|]",
			"name": "support.constant.dumb"
		}		
	}	
}
